Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7200)
@@ -71,10 +71,11 @@
 &namcfg        !   parameters of the configuration
 !-----------------------------------------------------------------------
-   ln_read_cfg = .false.   !  (=T) read the domain configuration in 'domain_cfg.nc" file
-   !                       !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
+   ln_read_cfg = .false.   !  (=T) read the domain configuration file
+      !                    !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
+      cn_domcfg = "domain_cfg"         ! domain configuration filename
+      !
    ln_write_cfg= .false.   !  (=T) create the domain configuration file
-   !
-   cp_cfg      = "default" !  name of the configuration
-   jp_cfg      =      0    !  resolution of the configuration
+      cn_domcfg_out = "domain_cfg_out" ! newly created domain configuration filename
+      !
    ln_use_jattr = .false.  !  use (T) the file attribute: open_ocean_jstart, if present
    !                       !  in netcdf input files, as the start j-row for reading
@@ -458,34 +459,34 @@
 &namberg       !   iceberg parameters                                   (default: No iceberg)
 !-----------------------------------------------------------------------
-      ln_icebergs              = .false.              ! iceberg floats or not
-      ln_bergdia               = .true.               ! Calculate budgets
-      nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
-      nn_verbose_write         = 15                   ! Timesteps between verbose messages
-      nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
-                                                      ! Initial mass required for an iceberg of each class
-      rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
-                                                      ! Proportion of calving mass to apportion to each class
-      rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
-                                                      ! Ratio between effective and real iceberg mass (non-dim)
-                                                      ! i.e. number of icebergs represented at a point
-      rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
-                                                      ! thickness of newly calved bergs (m)
-      rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
-      rn_rho_bergs             = 850.                 ! Density of icebergs
-      rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
-      ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
-      rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
-      rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
-      ln_passive_mode          = .false.              ! iceberg - ocean decoupling
-      nn_test_icebergs         =  10                  ! Create test icebergs of this class (-1 = no)
-                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
-      rn_test_box              = 108.0,  116.0, -66.0, -58.0
-      rn_speed_limit           = 0.                   ! CFL speed limit for a berg
-
-!            ! file name ! frequency (hours) !   variable   ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!            !           !  (if <0  months)  !     name     !   (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
-      sn_icb =  'calving',       -1          , 'calvingmask',  .true.      , .true.  , 'yearly'  , ''       , ''       , ''
-
-      cn_dir = './'
+   ln_icebergs              = .false.              ! iceberg floats or not
+   ln_bergdia               = .true.               ! Calculate budgets
+   nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
+   nn_verbose_write         = 15                   ! Timesteps between verbose messages
+   nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
+                                                   ! Initial mass required for an iceberg of each class
+   rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
+                                                   ! Proportion of calving mass to apportion to each class
+   rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
+                                                   ! Ratio between effective and real iceberg mass (non-dim)
+                                                   ! i.e. number of icebergs represented at a point
+   rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
+                                                   ! thickness of newly calved bergs (m)
+   rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
+   rn_rho_bergs             = 850.                 ! Density of icebergs
+   rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
+   ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
+   rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
+   rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
+   ln_passive_mode          = .false.              ! iceberg - ocean decoupling
+   nn_test_icebergs         =  10                  ! Create test icebergs of this class (-1 = no)
+                                                   ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
+   rn_test_box              = 108.0,  116.0, -66.0, -58.0
+   rn_speed_limit           = 0.                   ! CFL speed limit for a berg
+
+!         ! file name ! frequency (hours) !   variable   ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!         !           !  (if <0  months)  !     name     !   (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_icb =  'calving',       -1          , 'calvingmask',  .true.      , .true.  , 'yearly'  , ''       , ''       , ''
+
+   cn_dir = './'
 /
 
@@ -519,42 +520,43 @@
 &nam_tide      !   tide parameters                                      ("key_tide")
 !-----------------------------------------------------------------------
-   ln_tide_pot   = .true.   !  use tidal potential forcing
-   ln_tide_ramp  = .false.  !
-   rdttideramp   =    0.    !
-   clname(1)     = 'DUMMY'  !  name of constituent - all tidal components must be set in namelist_cfg
+   ln_tide_pot = .true.    !  use tidal potential forcing
+   ln_tide_ramp= .false.   !
+   rdttideramp =    0.     !
+   clname(1)   = 'DUMMY'   !  name of constituent 
+   !                       !  all tidal components must be set in namelist_cfg
 /
 !-----------------------------------------------------------------------
 &nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
-    nb_bdy         = 0                    !  number of open boundary sets
-    ln_coords_file = .true.               !  =T : read bdy coordinates from file
-    cn_coords_file = 'coordinates.bdy.nc' !  bdy coordinates files
-    ln_mask_file   = .false.              !  =T : read mask from file
-    cn_mask_file   = ''                   !  name of mask file (if ln_mask_file=.TRUE.)
-    cn_dyn2d       = 'none'               !
-    nn_dyn2d_dta   =  0                   !  = 0, bdy data are equal to the initial state
-                                          !  = 1, bdy data are read in 'bdydata   .nc' files
-                                          !  = 2, use tidal harmonic forcing data from files
-                                          !  = 3, use external data AND tidal harmonic forcing
-    cn_dyn3d      =  'none'               !
-    nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
-                                          !  = 1, bdy data are read in 'bdydata   .nc' files
-    cn_tra        =  'none'               !
-    nn_tra_dta    =  0                    !  = 0, bdy data are equal to the initial state
-                                          !  = 1, bdy data are read in 'bdydata   .nc' files
-    cn_ice_lim      =  'none'             !
-    nn_ice_lim_dta  =  0                  !  = 0, bdy data are equal to the initial state
-                                          !  = 1, bdy data are read in 'bdydata   .nc' files
-    rn_ice_tem      = 270.                !  lim3 only: arbitrary temperature of incoming sea ice
-    rn_ice_sal      = 10.                 !  lim3 only:      --   salinity           --
-    rn_ice_age      = 30.                 !  lim3 only:      --   age                --
-
-    ln_tra_dmp    =.false.                !  open boudaries conditions for tracers
-    ln_dyn3d_dmp  =.false.                !  open boundary condition for baroclinic velocities
-    rn_time_dmp   =  1.                   ! Damping time scale in days
-    rn_time_dmp_out =  1.                 ! Outflow damping time scale
-    nn_rimwidth   = 10                    !  width of the relaxation zone
-    ln_vol        = .false.               !  total volume correction (see nn_volctl parameter)
-    nn_volctl     = 1                     !  = 0, the total water flux across open boundaries is zero
+   nb_bdy         = 0                    !  number of open boundary sets
+   ln_coords_file = .true.               !  =T : read bdy coordinates from file
+   cn_coords_file = 'coordinates.bdy.nc' !  bdy coordinates files
+   ln_mask_file   = .false.              !  =T : read mask from file
+   cn_mask_file   = ''                   !  name of mask file (if ln_mask_file=.TRUE.)
+   cn_dyn2d       = 'none'               !
+   nn_dyn2d_dta   =  0                   !  = 0, bdy data are equal to the initial state
+      !                                  !  = 1, bdy data are read in 'bdydata   .nc' files
+      !                                  !  = 2, use tidal harmonic forcing data from files
+      !                                  !  = 3, use external data AND tidal harmonic forcing
+   cn_dyn3d      =  'none'               !
+   nn_dyn3d_dta  =  0                    !  = 0, bdy data are equal to the initial state
+      !                                  !  = 1, bdy data are read in 'bdydata   .nc' files
+   cn_tra        =  'none'               !
+   nn_tra_dta    =  0                    !  = 0, bdy data are equal to the initial state
+      !                                  !  = 1, bdy data are read in 'bdydata   .nc' files
+   cn_ice_lim      =  'none'             !
+   nn_ice_lim_dta  =  0                  !  = 0, bdy data are equal to the initial state
+      !                                  !  = 1, bdy data are read in 'bdydata   .nc' files
+   rn_ice_tem      = 270.                !  lim3 only: arbitrary temperature of incoming sea ice
+   rn_ice_sal      = 10.                 !  lim3 only:      --   salinity           --
+   rn_ice_age      = 30.                 !  lim3 only:      --   age                --
+   !
+   ln_tra_dmp    =.false.                !  open boudaries conditions for tracers
+   ln_dyn3d_dmp  =.false.                !  open boundary condition for baroclinic velocities
+   rn_time_dmp   =  1.                   ! Damping time scale in days
+   rn_time_dmp_out =  1.                 ! Outflow damping time scale
+   nn_rimwidth   = 10                    !  width of the relaxation zone
+   ln_vol        = .false.               !  total volume correction (see nn_volctl parameter)
+   nn_volctl     = 1                     !  = 0, the total water flux across open boundaries is zero
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 7200)
@@ -479,5 +479,5 @@
 
       !! Fram Strait sea-ice transport (sea-ice + snow)  (in ORCA2 = 5 points)
-      IF( iom_use('fram_trans') .and. cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN    ! ORCA R2 configuration
+      IF( iom_use('fram_trans') .and. cn_cfg == "orca" .AND. nn_cfg == 2 ) THEN    ! ORCA R2 configuration
          DO jj = mj0(137), mj1(137) ! B grid
             IF( mj0(jj-1) >= nldj ) THEN
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7199)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 7200)
@@ -1,5 +1,5 @@
 #if defined key_agrif
 !!----------------------------------------------------------------------
-!! NEMO/NST 3.7 , NEMO Consortium (2015)
+!! NEMO/NST 3.7 , NEMO Consortium (2016)
 !! $Id$
 !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
@@ -18,5 +18,5 @@
    USE dom_oce
    USE nemogcm
-   !
+   !!
    IMPLICIT NONE
    !!----------------------------------------------------------------------
@@ -60,25 +60,26 @@
    USE tradmp
    USE bdy_par
-
-   IMPLICIT NONE
-   !!----------------------------------------------------------------------
-   ! 0. Initializations
-   !-------------------
-   IF( cp_cfg == 'orca' ) THEN
-      IF ( jp_cfg == 2 .OR. jp_cfg == 025 .OR. jp_cfg == 05 &
-            &                      .OR. jp_cfg == 4 ) THEN
-         jp_cfg = -1    ! set special value for jp_cfg on fine grids
-         cp_cfg = "default"
+   !!
+   IMPLICIT NONE
+   !!----------------------------------------------------------------------
+   !
+!!gm  I think this is now useless ...   nn_cfg & cn_cfg are set to -999999 and "UNKNOWN" 
+!!gm                                    when reading the AGRIF domain configuration file
+   IF( cn_cfg == 'orca' ) THEN
+      IF ( nn_cfg == 2 .OR. nn_cfg == 025 .OR. nn_cfg == 05  .OR. nn_cfg == 4 ) THEN
+         nn_cfg = -1    ! set special value for nn_cfg on fine grids
+         cn_cfg = "default"
       ENDIF
    ENDIF
-   ! Specific fine grid Initializations
-   ! no tracer damping on fine grids
-   ln_tradmp = .FALSE.
-   ! no open boundary on fine grids
-   lk_bdy = .FALSE.
-
-
-   CALL nemo_init  ! Initializations of each fine grid
-
+!!gm end
+
+   !                    !* Specific fine grid Initializations
+   ln_tradmp = .FALSE.        ! no tracer damping on fine grids
+   !
+   lk_bdy    = .FALSE.        ! no open boundary on fine grids
+
+   CALL nemo_init       !* Initializations of each fine grid
+
+   !                    !* Agrif initialization
    CALL agrif_nemo_init
    CALL Agrif_InitValues_cont_dom
@@ -88,5 +89,6 @@
 # if defined key_top
    CALL Agrif_InitValues_cont_top
-# endif      
+# endif
+   !
 END SUBROUTINE Agrif_initvalues
 
@@ -106,11 +108,10 @@
    USE agrif_opa_interp
    USE agrif_opa_sponge
-   !
-   IMPLICIT NONE
-   !
-   !!----------------------------------------------------------------------
-
+   !!
+   IMPLICIT NONE
+   !!----------------------------------------------------------------------
+   !
    ! Declaration of the type of variable which have to be interpolated
-   !---------------------------------------------------------------------
+   !
    CALL agrif_declare_var_dom
    !
@@ -127,4 +128,5 @@
    USE par_oce       
    USE oce
+   !!
    IMPLICIT NONE
    !!----------------------------------------------------------------------
@@ -174,5 +176,5 @@
    USE agrif_opa_interp
    USE agrif_opa_sponge
-   !
+   !!
    IMPLICIT NONE
    !
@@ -344,4 +346,5 @@
    USE oce
    USE agrif_oce
+   !!
    IMPLICIT NONE
    !!----------------------------------------------------------------------
@@ -482,7 +485,6 @@
    USE agrif_lim2_interp
    USE lib_mpp
-   !
-   IMPLICIT NONE
-   !
+   !!
+   IMPLICIT NONE
    !!----------------------------------------------------------------------
 
@@ -519,4 +521,5 @@
 END SUBROUTINE Agrif_InitValues_cont_lim2
 
+
 SUBROUTINE agrif_declare_var_lim2
    !!----------------------------------------------------------------------
@@ -527,5 +530,5 @@
    USE agrif_util
    USE ice_2
-
+   !!
    IMPLICIT NONE
    !!----------------------------------------------------------------------
@@ -583,5 +586,5 @@
    USE agrif_top_interp
    USE agrif_top_sponge
-   !
+   !!
    IMPLICIT NONE
    !
@@ -682,6 +685,7 @@
    USE dom_oce
    USE trc
-
-   IMPLICIT NONE
+   !!
+   IMPLICIT NONE
+   !!----------------------------------------------------------------------
 
    ! 1. Declaration of the type of variable which have to be interpolated
@@ -714,7 +718,6 @@
 SUBROUTINE Agrif_detect( kg, ksizex )
    !!----------------------------------------------------------------------
-   !!   *** ROUTINE Agrif_detect ***
-   !!----------------------------------------------------------------------
-   !
+   !!                      *** ROUTINE Agrif_detect ***
+   !!----------------------------------------------------------------------
    INTEGER, DIMENSION(2) :: ksizex
    INTEGER, DIMENSION(ksizex(1),ksizex(2)) :: kg 
@@ -734,4 +737,5 @@
    USE in_out_manager
    USE lib_mpp
+   !!
    IMPLICIT NONE
    !
@@ -787,4 +791,5 @@
    !!----------------------------------------------------------------------
    USE dom_oce
+   !!
    IMPLICIT NONE
    !
@@ -801,4 +806,5 @@
 END SUBROUTINE Agrif_InvLoc
 
+
 SUBROUTINE Agrif_get_proc_info( imin, imax, jmin, jmax )
    !!----------------------------------------------------------------------
@@ -806,4 +812,5 @@
    !!----------------------------------------------------------------------
    USE par_oce
+   !!
    IMPLICIT NONE
    !
@@ -819,4 +826,5 @@
 END SUBROUTINE Agrif_get_proc_info
 
+
 SUBROUTINE Agrif_estimate_parallel_cost(imin, imax,jmin, jmax, nbprocs, grid_cost)
    !!----------------------------------------------------------------------
@@ -824,4 +832,5 @@
    !!----------------------------------------------------------------------
    USE par_oce
+   !!
    IMPLICIT NONE
    !
